> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Analysis Output File Details

GET the list of files produced by an analysis in JSON format, along with their sizes and pre-signed URLs.


## OpenAPI

````yaml GET /api/v1/analyses/{id}/file_details
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/analyses/{id}/file_details:
    get:
      summary: GET analyses file_details
      operationId: get_analyses_file_details
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  files:
                    description: A list of output files.
                    items:
                      properties:
                        filename:
                          description: The filename of the output file.
                          title: Filename
                          type: string
                        filepath:
                          description: The full file path.
                          title: Filepath
                          type: string
                        size:
                          description: File size in bytes.
                          minimum: 0
                          title: Size
                          type: integer
                        url:
                          description: Pre-signed download URL.
                          title: Url
                          type: string
                      required:
                        - filename
                        - filepath
                        - size
                        - url
                      title: AnalysisFileDetailsSchema
                      type: object
                    title: Files
                    type: array
                required:
                  - files
                title: AnalysisFileDetailsResponse
                type: object
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.